.features {
  width: 100%;
  padding: 0.25em;
  background: var(--color-bg);
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 0.25em;
}

.features-item {
  position: relative;
  width: 100%;
  height: 100%;
  min-height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: var(--color-bg-secondary);
  border-radius: 8px;
  overflow: hidden;
}

.features-icon {
  position: absolute;
  inset: 0;
  overflow: hidden;
}

.features-icon img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.features-title {
  position: relative;
  z-index: 2;
  padding: 2em;
  width: 100%;
}

.features-title h2 {
  font-family: var(--font-secondary);
  font-size: 28px;
  line-height: 120%;
  letter-spacing: 0.25px;
  margin-bottom: 0.25em;
}

.features-title p {
  font-size: 16px;
  max-width: 320px;
}

@media (max-width: 900px) {
  .features {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }

  .features-item {
    min-height: 280px;
  }
}
